AbstractObservable (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractObservable

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractObservable

All Implemented Interfaces:
  Observable

    public abstract class AbstractObservable
    extends Object

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`protected PropertyChangeSupport` | `pcs`

Constructor Summary
`AbstractObservable()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`protected void` | `firePropertyChange(PropertyChangeEvent event)`
`protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
`PropertyChangeListener[]` | `getPropertyChangeListeners()`
`PropertyChangeListener[]` | `getPropertyChangeListeners(String propertyName)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### pcs

    protected PropertyChangeSupport pcs

Constructor Detail

### AbstractObservable

    public AbstractObservable()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener)

### firePropertyChange

    protected void firePropertyChange(PropertyChangeEvent event)

### firePropertyChange

    protected void firePropertyChange(String propertyName, Object oldValue, Object newValue)

### getPropertyChangeListeners

    public PropertyChangeListener[] getPropertyChangeListeners()

### getPropertyChangeListeners

    public PropertyChangeListener[] getPropertyChangeListeners(String propertyName)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName, PropertyChangeListener listener)

Groovy Documentation